[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Destroy

Removes the control from its Parent.

## Declaration

Source position: controls.pp line 1698

`public destructor TControl.Destroy; override;`

## Description

Detaches the control from Parent, removes graphics, frees memory and Operating System handles, pointers etc.

## See also

TLCLComponent.Destroy |  | Destructor for the class instance.
TComponent.Destroy